#include "aron_conversions.h"


void armarx::armem::fromAron(const arondto::MemoryID& dto, MemoryID& bo)
{
    bo.memoryName = dto.memoryName;
    bo.coreSegmentName = dto.coreSegmentName;
    bo.providerSegmentName = dto.providerSegmentName;
    bo.entityName = dto.entityName;
    bo.timestamp = dto.timestamp;
    bo.instanceIndex = dto.instanceIndex;
}

void armarx::armem::toAron(arondto::MemoryID& dto, const MemoryID& bo)
{
    dto.memoryName = bo.memoryName;
    dto.coreSegmentName = bo.coreSegmentName;
    dto.providerSegmentName = bo.providerSegmentName;
    dto.entityName = bo.entityName;
    dto.timestamp = bo.timestamp;
    dto.instanceIndex = bo.instanceIndex;
}

std::ostream& armarx::armem::arondto::operator<<(std::ostream& os, const MemoryID& rhs)
{
    armem::MemoryID bo;
    fromAron(rhs, bo);
    return os << bo;
}
