#pragma once

#include "client/ComponentPlugin.h"
#include "client/MemoryNameSystem.h"
#include "client/MemoryNameSystemComponentPlugin.h"
#include "client/Query.h"
#include "client/query/Builder.h"
#include "client/query/query_fns.h"
#include "client/Reader.h"
#include "client/ReaderComponentPlugin.h"
#include "client/Writer.h"
#include "client/WriterComponentPlugin.h"


namespace armarx::armem
{

    using ClientReader = client::Reader;
    using ClientWriter = client::Writer;

    using ClientQueryInput = client::QueryInput;
    using ClientQueryResult = client::QueryResult;
    using ClientQueryBuilder = client::query::Builder;
    namespace client_query_fns = client::query_fns;

    using ClientComponentPluginUser = client::ComponentPluginUser;
    using ClientReaderComponentPluginUser = client::ReaderComponentPluginUser;
    using ClientWriterComponentPluginUser = client::WriterComponentPluginUser;

}
